> For the complete documentation index, see [llms.txt](https://docs.ellipsis-drive.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ellipsis-drive.com/developers/api-v3/path-vector/edit-filter.md).

# Edit filter

If you wish to use the [getFeaturesByExtent call](/developers/api-v3/path-vector/timestamps/search-feature-by-extent.md) together with a filter on the properties you can register properties as filters using this endpoint.

| **Description** | Edits the allowed property filters of a vector layer. |
| --------------- | ----------------------------------------------------- |
| **Endpoint**    | `/path/{pathId}/vector/filter`                        |
| **Method**      | POST                                                  |

### Access Level Rules

| **Access Level** | edit+ |
| ---------------- | ----- |

### Processing Units

| **Processing units** | 2 |
| -------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="200">Description</th><th width="150">Required</th><th>Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the vector layer.</td><td>true</td><td></td></tr><tr><td><code>filter</code></td><td>A array of JSONs with required string property "propertyId" and optional boolean property "id'"containing the new filter on the properties.</td><td>true</td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-vector/edit-filter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
